---
updatedAt: 2025-09-22T21:25:54.000Z
agentTools:
  projectIndex: https://docs.cupid.travel/llms.txt
---

# Standard Authentication

All requests to Cupid must be authenticated using an API key. You can find your API key in the dashboard.

To authenticate against Cupid's REST APIs, include the `X-API-Key` header in your HTTP requests, setting its value to your personal API key.

This API key grants access to the API and must be kept confidential to prevent unauthorized use. Ensure you securely store the API key and avoid exposing it in public or client-side code repositories. This header ensures that your requests are authenticated and authorized to interact with LiteAPI's services.

```shell
curl -X GET "https://content-api.cupid.travel/v3.0/property/6584077" -H "X-API-Key: YOUR_API_KEY"
```
```python
import requests

api_key = 'YOUR_API_KEY'
url = 'https://content-api.cupid.travel/v3.0/property/6584077'
headers = {
    'X-API-Key': api_key
}

response = requests.get(url, headers=headers)
data = response.json()
print(data)
```
```go
package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
)

func main() {
	apiKey := "YOUR_API_KEY"
	url := "https://content-api.cupid.travel/v3.0/property/6584077"

	client := &http.Client{}
	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		fmt.Println(err)
		return
	}
	req.Header.Add("X-API-Key", apiKey)

	resp, err := client.Do(req)
	if err != nil {
		fmt.Println(err)
		return
	}
	defer resp.Body.Close()

	body, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err)
		return
	}

	fmt.Println(string(body))
}
```
```php
<?php
$apiKey = 'YOUR_API_KEY';
$url = 'https://content-api.cupid.travel/v3.0/property/6584077';

$options = [
    'http' => [
        'header' => "X-API-Key: $apiKey\r\n"
    ]
];

$context = stream_context_create($options);
$response = file_get_contents($url, false, $context);
$data = json_decode($response, true);

print_r($data);
?>
```
```node
const https = require('https');

const apiKey = 'YOUR_API_KEY';
const url = 'https://content-api.cupid.travel/v3.0/property/6584077';

const options = {
    headers: {
        'X-API-Key': apiKey
    }
};

https.get(url, options, (res) => {
    let data = '';

    res.on('data', (chunk) => {
        data += chunk;
    });

    res.on('end', () => {
        console.log(JSON.parse(data));
    });

}).on('error', (e) => {
    console.error(e);
});
```

**Sample Sandbox API Key:**

To help you get started quickly, we provide a sandbox API key that you can use for testing purposes.\
Sandbox API Key -> Room Mapping:

```
e2R4t6Y8u0i3O5p7A9s1D3f5G7h9J2k4
```

Sandbox API Key -> Static Content:

```
i2O4p6A8s0D3f5G7h9J1k3L5m7N9b
```

**Example Request Using Sandbox API Key:**

```shell
curl -X GET "https://content-api.cupid.travel/v3.0/property/6584077" -H "X-API-Key: i2O4p6A8s0D3f5G7h9J1k3L5m7N9b"
```

**Security Best Practices:**

* Keep your API key secure. Do not expose it in client-side code.
* Rotate your API keys regularly.
* Use environment variables to manage your API keys.